# List all application parts of an invoice Note: This operation is only available if you have Invoice Settlement enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see Invoice Settlement Enablement and Checklist Guide for more information. If you are in Zuora version 341, this operation will return only processed payments applied to the invoices. If you are in the Zuora version less than 341, this operation behavior remains the same and returns all payments associated with the invoice regardless of the payment status. Retrieves information about the payments or credit memos that are applied to a specified invoice. Endpoint: GET /v1/invoices/{invoiceKey}/application-parts Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `invoiceKey` (string, required) The ID or number of the invoice. For example, 2c92c8955bd63cc1015bd7c151af02ab or INV-0000001. ## Response 200 fields (application/json): - `applicationParts` (array) Container for application parts. - `applicationParts.appliedAmount` (number) The amount that is applied to the invoice. - `applicationParts.createdById` (string) The ID of the Zuora user who created the payment or credit memo. - `applicationParts.createdDate` (string) The date and time when the payment or credit memo was created, in yyyy-mm-dd hh:mm:ss format. For example, 2017-12-01 15:31:10. - `applicationParts.creditMemoId` (string) The ID of credit memo that is applied to the specified invoice. - `applicationParts.paymentId` (string) The ID of the payment that is applied to the specified invoice. - `applicationParts.updatedById` (string) The ID of the Zuora user who last updated the payment or credit memo. - `applicationParts.updatedDate` (string) The date and time when the payment or credit memo was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2018-01-02 11:42:16. - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.